searchNodes=[{"doc":"Documentation for IGC .","ref":"IGC.html","title":"IGC","type":"module"},{"doc":"Parses an IGC file and creates a stream of the following IGC record types: :fix [B record]: Positional updates :pilot_event [E record]: Pilot event :data [K record]: Additional data as described in the headers :satellite_constellation [F record]: Satellite constellation data and changes :logbook [L records]: Logbook entries Each stem entry is a tuple following the format {type, data, headers} .","ref":"IGC.html#parse/1","title":"IGC.parse/1","type":"function"},{"doc":"Like parse/1 , but filters the stream to only the specified types. For example, to only get the positional updates: IGC . parse ( stream , [ :fix ] )","ref":"IGC.html#parse/2","title":"IGC.parse/2","type":"function"},{"doc":"","ref":"IGC.html#parse_all/1","title":"IGC.parse_all/1","type":"function"},{"doc":"","ref":"IGC.Extensions.html","title":"IGC.Extensions","type":"module"},{"doc":"","ref":"IGC.Extensions.html#parse_line/1","title":"IGC.Extensions.parse_line/1","type":"function"},{"doc":"","ref":"IGC.Extensions.html#parse_values/3","title":"IGC.Extensions.parse_values/3","type":"function"},{"doc":"","ref":"IGC.Extensions.html#t:definitions/0","title":"IGC.Extensions.definitions/0","type":"type"},{"doc":"","ref":"IGC.Extensions.html#t:t/0","title":"IGC.Extensions.t/0","type":"type"},{"doc":"","ref":"IGC.Extensions.html#t:values/0","title":"IGC.Extensions.values/0","type":"type"},{"doc":"Represents a single fix record in the IGC file. All the extensions defined in the B record of the IGC file are stored in the extensions field. The &quot;well known&quot; extensions are also stored in their own fields, if provided by the dataset.","ref":"IGC.Fix.html","title":"IGC.Fix","type":"module"},{"doc":"","ref":"IGC.Fix.html#parse_line/2","title":"IGC.Fix.parse_line/2","type":"function"},{"doc":"","ref":"IGC.Fix.html#t:extensions/0","title":"IGC.Fix.extensions/0","type":"type"},{"doc":"","ref":"IGC.Fix.html#t:t/0","title":"IGC.Fix.t/0","type":"type"},{"doc":"Represents the content of a IGC file","ref":"IGC.Flight.html","title":"IGC.Flight","type":"module"},{"doc":"","ref":"IGC.Flight.html#t:t/0","title":"IGC.Flight.t/0","type":"type"},{"doc":"Represents the known Header attributes of the IGC file. All the attributes, in their raw form, are stored in the raw_headers field.","ref":"IGC.Headers.html","title":"IGC.Headers","type":"module"},{"doc":"Parses a &quot;H&quot; record line, populating the result in the IGC.Header struct","ref":"IGC.Headers.html#parse_line/2","title":"IGC.Headers.parse_line/2","type":"function"},{"doc":"","ref":"IGC.Headers.html#t:maybe_value/0","title":"IGC.Headers.maybe_value/0","type":"type"},{"doc":"","ref":"IGC.Headers.html#t:raw_headers/0","title":"IGC.Headers.raw_headers/0","type":"type"},{"doc":"","ref":"IGC.Headers.html#t:t/0","title":"IGC.Headers.t/0","type":"type"},{"doc":"","ref":"IGC.Parser.html","title":"IGC.Parser","type":"module"},{"doc":"Parses an IGC file and creates a stream of the following IGC record types: :fix [B record]: Positional updates :pilot_event [E record]: Pilot event :data [K record]: Additional data as described in the headers :satellite_constellation [F record]: Satellite constellation data and changes :logbook [L records]: Logbook entries Each stem entry is a tuple following the format {type, data, headers} .","ref":"IGC.Parser.html#parse/1","title":"IGC.Parser.parse/1","type":"function"},{"doc":"Like parse/1 , but filters the stream to only the specified types. For example, to only get the positional updates: IGC . parse ( stream , [ :fix ] )","ref":"IGC.Parser.html#parse/2","title":"IGC.Parser.parse/2","type":"function"},{"doc":"","ref":"IGC.Parser.html#parse_all/1","title":"IGC.Parser.parse_all/1","type":"function"},{"doc":"","ref":"IGC.Parser.html#take/3","title":"IGC.Parser.take/3","type":"function"},{"doc":"The record emitted by the stream","ref":"IGC.Parser.html#t:record/0","title":"IGC.Parser.record/0","type":"type"},{"doc":"","ref":"IGC.Position.html","title":"IGC.Position","type":"module"},{"doc":"A position on earth as a latitude and longitude in the WGS84 system","ref":"IGC.Position.html#__struct__/0","title":"IGC.Position.__struct__/0","type":"function"},{"doc":"","ref":"IGC.Position.html#parse/1","title":"IGC.Position.parse/1","type":"function"},{"doc":"","ref":"IGC.Position.html#t:t/0","title":"IGC.Position.t/0","type":"type"}]